{
  "schema_version": "1.4.0",
  "id": "GHSA-rc42-jghf-vr8f",
  "modified": "2023-01-23T20:34:52Z",
  "published": "2023-01-14T15:30:25Z",
  "aliases": [
    "CVE-2022-1812"
  ],
  "summary": "Integer overflow in publify_core",
  "details": "Integer Overflow or Wraparound in GitHub repository publify/publify prior to 9.2.10 due to an unlimited length user name field.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "RubyGems",
        "name": "publify_core"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "9.2.10"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2022-1812"
    },
    {
      "type": "WEB",
      "url": "https://github.com/publify/publify/commit/29a5837c29620e33857d7a5afce01384e3f8e41a"
    },
    {
      "type": "PACKAGE",
      "url": "https://github.com/publify/publify_core"
    },
    {
      "type": "WEB",
      "url": "https://github.com/rubysec/ruby-advisory-db/blob/master/gems/publify_core/CVE-2022-1812.yml"
    },
    {
      "type": "WEB",
      "url": "https://huntr.dev/bounties/17d86a50-265c-4ec8-9592-0bd909ddc8f3"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": true,
    "github_reviewed_at": "2023-01-23T20:34:52Z",
    "nvd_published_at": "2023-01-14T14:15:00Z"
  }
}